// MISC2, MISC3, and UIMISC stuff

// MISC2.CPP
const char *nodet_or_address(void);
void buildaddress(void);
PortSpeedE digitbaud(long bigbaud);
ModemSpeedE digitConnectbaud(long bigbaud);
void editBorder(void);
void greeting(void);
void ShowSystemStatus(void);
void offhook(void);
void showStatScreen(void);
void displayOnOff(const char *string, int value);
void displayYesNo(const char *string, int value);
Bool changeOnOff(const char *str, Bool value);
Bool changeYesNo(const char *str, Bool value);
void cdecl nullFunc(void);
void cyclesignature(void);
Bool theAlgorithm(r_slot rm, h_slot hl, Bool exclude);
void theOtherAlgorithm(Bool *rooms, h_slot hl, Bool exclude);
void memoryDump(void);
void CheckDiscardablePtr(const discardable *D, const void *Check, const char *Name);


// MISC3.CPP
void ringSystemREQ(void);
void dial_out(void);
void cdecl cCPrintf(const char *fmt, ...);
void logo(int turnOn);
void parseArgs(int argc, const char *argv[]);
void securityViolation(const char *pathname);
const char *mkDblBck(const char *str, char *newstr);
Bool TurnDebugOn(void);
Bool TurnDebugOff(void);
void UserHasTimedOut(void);
long RomanInput(const char *Roman);
const char *RomanOutput(long Number);


// UIMISC.CPP
void BadMenuSelection(int C);
int DoMenuPrompt(const char *Text1, const char *Text2);
